Home
Release Notes
Home
Release Notes
Linkedin
  1. Transactions
  • Baladâ„¢ Gateway Documentation đŸ“–
  • Get Started
  • Authorization
  • Responses
  • Go Live!
  • FAQs
  • APIs
    • Authentication
      • Token
    • Core
      • Exchange rate
        • Exchange Rates
      • Balance
        • Get Current Balance
      • Secrets
        • Generate Secret
        • Delete Secret
        • Get Secrets
    • Link
      • Sandbox Testing Guide
      • Error Codes
      • Transaction Lifecycle V2
      • Lookups
        • Purposes List
        • Sources List
        • Banks List
        • Relations
      • Transactions
        • Create transaction
          POST
        • Update transaction
          POST
        • Cancel transaction
          POST
        • Get transaction status V2
          GET
        • Transactions List
          GET
        • Export Transactions List
          GET
        • Calculate receiving amount
          POST
        • Validate Account
          POST
      • Reconciliation
        • Reconciliation
  • Webhooks
    • Link.Transaction.StatusUpdateV2
  1. Transactions

Transactions List

GET
/remit-api/v1/transactions
This method provides a list of transactions with the added pagination feature. The pagination feature allows clients to fetch transactions in smaller, manageable chunks, enhancing the efficiency and performance of the request-response cycle.
Request Params:
SI NOParameterLengthTypeMandatoryRemarks
1from_date13StringYStarting date of the required list (DD-MMM-YYYY) Ex: 01-JUN-2020
2to_date13StringYEnd date of the required list (DD-MMM-YYYY) Ex: 01-JUN-2020
3page_no1 or 2IntegerYRequested page number
4page_size1 or 2IntegerNNumber of transactions per page Should be 1000 or less
5reference_no20IntegerNThe reference a number of the transaction to needs to be retreived
Response Params:
SI NOParameterRemarks
1page_noRequested page number
2page_sizeNumber of transactions per page
3totalTotal number of pages of the list
4has_nextIndicates if there is more than one page
5dateDate and time of the transaction
6remitter_reference_noRemitter Reference Number
7bank_reference_noBank Reference Number
8typeTransaction type
ex. "AccountCredit"
9sender_nameSender Name
10receiver_nameBeneficiary Name
11account_noBeneficiary's Account Number.
13paid_dateBeneficiary Cash Collected/Account
Deposited Date
14statusTransaction status code and description
15currency_codeCurrency Code Passed By Remitter To Balad
16amountAmount Passed By Remitter To Balad

Request

Authorization
or
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://gateway-sandbox.balad.tech/remit-api/v1/transactions?from_date=15-jul-2023&to_date=31-jul-2023&page_no=1&page_size=10&reference_no=' \
--header 'Content-Type: application/json'

Responses

đŸŸ¢200Success
application/json
Bodyapplication/json

Example
{
    "data": {
        "page_no": 1,
        "page_size": 20,
        "total": 3,
        "has_next": false,
        "items": [
            {
                "date": "DD-MMM-YYYY hh:mm AM/PM",
                "remitter_reference_no": "BALADLINK-XXXXXXXXXX",
                "bank_reference_no": "XXXXXXXXXX",
                "type": "AccountCredit",
                "sender_name": "XXXXX XXXXX XXXXX",
                "receiver_name": "XXXXX XXXXX XXXXX",
                "account_number": "XXXXXXXXXX",
                "paid_date": "DD-MMM-YYYY",
                "status": "Transferred",
                "status_details": {
                    "code": 1,
                    "description": "Transferred"
                },
                "amount": 1.00,
                "currency_code": "EGP",
                "failing_reason": null
            },
            {
                "date": "DD-MMM-YYYY hh:mm AM/PM",
                "remitter_reference_no": "BALADLINK-XXXXXXXXXX",
                "bank_reference_no": "XXXXXXXXXX",
                "type": "AccountCredit",
                "sender_name": "XXXXX XXXXX XXXXX",
                "receiver_name": "XXXXX XXXXX XXXXX",
                "account_number": "XXXXXXXXXX",
                "paid_date": "DD-MMM-YYYY",
                "status": "SettledOpenForReturn",
                "status_details": {
                    "code": 1,
                    "description": "Transferred"
                },
                "amount": 1.00,
                "currency_code": "EGP",
                "failing_reason": null
            },
            {
                "date": "DD-MMM-YYYY hh:mm AM/PM",
                "remitter_reference_no": "BALADLINK-XXXXXXXXXX",
                "bank_reference_no": "",
                "type": "Wallet",
                "sender_name": "XXXXX XXXXX XXXXX",
                "receiver_name": "XXXXX XXXXX XXXXX",
                "account_number": "XXXXXXXXXX",
                "paid_date": "DD-MMM-YYYY",
                "status": "Transferred",
                "status_details": {
                    "code": 1,
                    "description": "Transferred"
                },
                "amount": 1.00,
                "currency_code": "EGP",
                "failing_reason": null
            }
        ]
    },
    "errors": null
}
đŸŸ 400Invalid From and To Date
đŸŸ 400From Date is greater than To Date Copy
đŸŸ 400No Record Found
đŸŸ 400Date difference cannot be more than 15 days
Previous
Get transaction status V2
Next
Export Transactions List
Built with